## ndg-httpsclient 0.4.4

=== documentation/Makefile ===
#
# Makefile to generate epydoc documentation for the NDG HTTPS Client Package
#
# @author P J Kershaw 17/01/12
#

# @copyright: (C) 2012 STFC
#
# @license: BSD - see LICENSE file for details
#
# $Id$

# Generate HTML from embedded epydoc text in source code.
EPYDOC=epydoc
EPYDOC_INDIR=../ndg
EPYDOC_OUTDIR=.
EPYDOC_NAME='NDG HTTPS Client'
EPYDOC_LOGFILE=epydoc.log
EPYDOC_OPTS=--no-frames --include-log --graph=all -v --debug
ZIP=zip
ZIP_OUTFILE=./documentation.zip
ZIP_INFILES=./*.*

epydoc:
	${EPYDOC} ${EPYDOC_INDIR} -o ${EPYDOC_OUTDIR} --name ${EPYDOC_NAME} \
	${EPYDOC_OPTS} > ${EPYDOC_LOGFILE}
    
zip:
	${ZIP} ${ZIP_OUTFILE} ${ZIP_INFILES}    

clean:
	rm -f *.txt *.html *.gif *.css *.js *.png *.log

## ndg-httpsclient 0.4.0

=== debian/changelog ===
ndg-httpsclient (0.4.0-3) unstable; urgency=medium

  * Remove conflict between python and python3 version.
    - this means that the binary is now provided only by the python2
      version. (Closes: #804115)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 05 Nov 2015 10:48:23 +0100

ndg-httpsclient (0.4.0-2) unstable; urgency=medium

  * Add python3 package. (Closes: #803525)
    thanks Harlan Lieberman-Berg for the bug report!

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 31 Oct 2015 08:17:02 +0100

ndg-httpsclient (0.4.0-1) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * New upstream release (Closes: #784202, #794677).
  * Add a manpage
  * Convert to quilt format.
  * Use pybuild
  * Take over package maintenance with jcristau blessing.
  * Bump std-version to 3.9.6.
  * Change VCS fields.
  * Bump compat level to 9.
  * Fix watch file.
  * Run wrap-and-sort
  * Make copyright file machine-readable.
  * Drop patch basicauth.diff, fixed upstream.
  * Drop patch fix_socket_close.diff, fixed upstream.
  * Drop python-openssl from runtime dependencies,
    already taken care on setup.py.

  [ Adam Conrad ]
  * debian/rules: Fix leaked test server process with extra vim and vigor.

  [ Martin Pitt ]
  * debian/rules: Fix leaked test server process, which upsets our ancient
    sbuild on the buildds (Closes: #783059).
  * Run tests during package build:
    - Add python-openssl and openssl build dependencies.
    - debian/rules: Start test server and run test_urllib2.py.
  * Add fix_socket_close.diff: Fix AttributeError when destructing an
    un-opened Connection object. Exposed by test03_open_fails_unknown_loc.

  [ Matthias Klose ]
  * Build using pybuild (Closes: #786098).

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 10 Aug 2015 16:03:11 +0200

ndg-httpsclient (0.3.2-1) unstable; urgency=low

  * Initial release (closes: #750638).

 -- Julien Cristau <jcristau@debian.org>  Thu, 05 Jun 2014 16:41:31 +0200

=== debian/control ===
Source: ndg-httpsclient
Section: python
Priority: optional
Maintainer: Gianfranco Costamagna <locutusofborg@debian.org>
Build-Depends: debhelper (>= 9),
               dh-python,
               openssl,
               python-all,
               python-openssl,
               python-setuptools,
               python3-all,
               python3-openssl,
               python3-setuptools
Standards-Version: 3.9.6
Homepage: https://pypi.python.org/pypi/ndg-httpsclient
Vcs-Git: git://anonscm.debian.org/collab-maint/ndg-httpsclient.git
Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/ndg-httpsclient.git

Package: python-ndg-httpsclient
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Recommends: python-pyasn1
Description: enhanced HTTPS support for httplib and urllib2 using PyOpenSSL for Python2
 ndg-httpsclient is a HTTPS client implementation for httplib and
 urllib2 based on PyOpenSSL. PyOpenSSL provides a more fully featured SSL
 implementation over the default provided with Python and importantly
 enables full verification of the SSL peer.
 .
 This is the Python2 package, providing the ndg-httpsclient binary too.

Package: python3-ndg-httpsclient
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Recommends: python3-pyasn1
Description: enhanced HTTPS support for httplib and urllib2 using PyOpenSSL for Python3
 ndg-httpsclient is a HTTPS client implementation for httplib and
 urllib2 based on PyOpenSSL. PyOpenSSL provides a more fully featured SSL
 implementation over the default provided with Python and importantly
 enables full verification of the SSL peer.
 .
 This is the Python3 package

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/ndg-httpsclient/ndg_httpsclient-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## ndg-httpsclient 0.4.1

=== debian/changelog ===
ndg-httpsclient (0.4.1-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 15 Jul 2016 08:11:50 +0200

ndg-httpsclient (0.4.1-1) unstable; urgency=medium

  * New upstream release.
  * Update watch file to version 4
  * Update std-version to 3.9.8
  * Update VCS fields in secure mode.
  * Update copyright file

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 10 Jun 2016 11:25:25 +0200

=== debian/control ===
--- 
+++ 
@@ -11,10 +11,10 @@
                python3-all,
                python3-openssl,
                python3-setuptools
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: https://pypi.python.org/pypi/ndg-httpsclient
-Vcs-Git: git://anonscm.debian.org/collab-maint/ndg-httpsclient.git
-Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/ndg-httpsclient.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/ndg-httpsclient.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/ndg-httpsclient.git
 
 Package: python-ndg-httpsclient
 Architecture: all

## ndg-httpsclient 0.4.2

=== debian/changelog ===
ndg-httpsclient (0.4.2-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 20 Jul 2016 10:35:50 +0200

ndg-httpsclient (0.4.2-1) unstable; urgency=medium

  * New upstream release.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 20 Jul 2016 10:34:42 +0200

## ndg-httpsclient 0.4.3

=== debian/changelog ===
ndg-httpsclient (0.4.3-1) unstable; urgency=medium

  * New upstream version 0.4.3
  * Move pyasn1 to dependencies
  * Bump std-version to 4.1.0
  * Bump compat level to 10
  * Bump copyright year

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 09 Sep 2017 00:07:12 +0200

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,18 @@
 Section: python
 Priority: optional
 Maintainer: Gianfranco Costamagna <locutusofborg@debian.org>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                dh-python,
                openssl,
                python-all,
                python-openssl,
+               python-pyasn1,
                python-setuptools,
                python3-all,
                python3-openssl,
+               python3-pyasn1,
                python3-setuptools
-Standards-Version: 3.9.8
+Standards-Version: 4.1.0
 Homepage: https://pypi.python.org/pypi/ndg-httpsclient
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/ndg-httpsclient.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/ndg-httpsclient.git
@@ -19,7 +21,6 @@
 Package: python-ndg-httpsclient
 Architecture: all
 Depends: ${misc:Depends}, ${python:Depends}
-Recommends: python-pyasn1
 Description: enhanced HTTPS support for httplib and urllib2 using PyOpenSSL for Python2
  ndg-httpsclient is a HTTPS client implementation for httplib and
  urllib2 based on PyOpenSSL. PyOpenSSL provides a more fully featured SSL
@@ -31,7 +32,6 @@
 Package: python3-ndg-httpsclient
 Architecture: all
 Depends: ${misc:Depends}, ${python3:Depends}
-Recommends: python3-pyasn1
 Description: enhanced HTTPS support for httplib and urllib2 using PyOpenSSL for Python3
  ndg-httpsclient is a HTTPS client implementation for httplib and
  urllib2 based on PyOpenSSL. PyOpenSSL provides a more fully featured SSL

## ndg-httpsclient 0.4.4

=== debian/changelog ===
ndg-httpsclient (0.4.4-1) unstable; urgency=medium

  * New upstream version 0.4.4
  * Bump std-version to 4.1.2
  * Bump copyright year

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 10 Feb 2018 15:26:31 +0100

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                python3-openssl,
                python3-pyasn1,
                python3-setuptools
-Standards-Version: 4.1.0
+Standards-Version: 4.1.3
 Homepage: https://pypi.python.org/pypi/ndg-httpsclient
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/ndg-httpsclient.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/ndg-httpsclient.git

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=ndg-httpsclient

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_auto_test:
	OLDDIR=$$PWD && cd ndg/httpsclient/test; \
	  openssl s_server -www -cert pki/localhost.crt \
	          -key pki/localhost.key -accept 4443 & \
	  S=$$! ; \
	  cd $$OLDDIR; \
	  PYTHONPATH=. python ndg/httpsclient/test/test_urllib2.py ; \
	  kill $$S

override_dh_python3:
	dh_python3
	rm -rf debian/python3-ndg-httpsclient/usr/bin

## ndg-httpsclient 0.5.1

=== debian/changelog ===
ndg-httpsclient (0.5.1-6) unstable; urgency=medium

  [ Debian Janitor ]
  * debian/copyright: use spaces rather than tabs to start continuation
    lines.
  * Set upstream metadata fields: Repository, Repository-Browse.
  * Use canonical URL in Vcs-Browser.
  * Update standards version to 4.4.1, no changes needed.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 20 Jan 2020 10:14:27 +0100

ndg-httpsclient (0.5.1-5) unstable; urgency=medium

  * Drop all python2 leftover dependencies (Closes: #937122)
  * Bump std-version to 4.4.1, no changes required

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 20 Jan 2020 09:57:16 +0100

ndg-httpsclient (0.5.1-4) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/watch: Use https protocol

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 12 Sep 2019 22:26:22 +0200

ndg-httpsclient (0.5.1-3) unstable; urgency=medium

  * Fix typo in breaks/replaces relationship that prevented smooth upgrades
    Closes: #939596.
    - thanks a lot to Axel Beckert <abe@debian.org> for the report!

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 12 Sep 2019 22:23:05 +0200

ndg-httpsclient (0.5.1-2) unstable; urgency=medium

  * Bump copyright years
  * Bump std-version to 4.4.0
  * Bump compat level to 12
  * Drop python2 package (Closes: #937122)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 03 Sep 2019 19:10:19 +0200

ndg-httpsclient (0.5.1-1) unstable; urgency=medium

  * New upstream version 0.5.1
  * Update std-version to 4.1.5, no changes required

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 24 Jul 2018 17:06:37 +0200

ndg-httpsclient (0.5.0-1) unstable; urgency=medium

  * New upstream version 0.5.0
  * Bump std-version to 4.1.4, no changes required
  * Switch VCS fields to salsa.d.o

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 30 Apr 2018 09:29:55 +0200

=== debian/control ===
Source: ndg-httpsclient
Section: python
Priority: optional
Maintainer: Gianfranco Costamagna <locutusofborg@debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-python,
               openssl,
               python3-all,
               python3-openssl,
               python3-pyasn1,
               python3-setuptools
Standards-Version: 4.4.1
Homepage: https://pypi.python.org/pypi/ndg-httpsclient
Vcs-Git: https://salsa.debian.org/debian/ndg-httpsclient.git
Vcs-Browser: https://salsa.debian.org/debian/ndg-httpsclient

Package: python3-ndg-httpsclient
Breaks: python-ndg-httpsclient (<<0.5.1-2)
Replaces: python-ndg-httpsclient (<<0.5.1-2)
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: enhanced HTTPS support for httplib and urllib2 using PyOpenSSL for Python3
 ndg-httpsclient is a HTTPS client implementation for httplib and
 urllib2 based on PyOpenSSL. PyOpenSSL provides a more fully featured SSL
 implementation over the default provided with Python and importantly
 enables full verification of the SSL peer.
 .
 This is the Python3 package

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=ndg-httpsclient

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
	OLDDIR=$$PWD && cd ndg/httpsclient/test; \
	  openssl s_server -www -cert pki/localhost.crt \
	          -key pki/localhost.key -accept 4443 & \
	  S=$$! ; \
	  cd $$OLDDIR; \
	  PYTHONPATH=. python ndg/httpsclient/test/test_urllib2.py ; \
	  kill $$S

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/ndg-httpsclient/ndg_httpsclient-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
